import { Type } from "@angular/core";
import { IParameter } from "./types";
import { InjectionFactory } from "@testdozer/ng-injector-types";
import { TokenNameProvider } from "./token-name.provider";
/**
 * Provides dependencies metadata of inspected angular class.
 *
 * @param type The inspected class
 */
export declare class Reflector implements InjectionFactory {
    private readonly tokenName;
    constructor(tokenName: TokenNameProvider);
    private static parameters;
    private static zipTypesAndAnnotations;
    factory(): <T>(type: Type<T>) => IParameter[];
    private extractToken;
    private createDependency;
}
