import { IParameter, OnlyStaticProvider } from "./types";
import { ProviderFactory } from "./provider-factory";
import { InjectionFactory, TypeofInjectionFactory } from "@testdozer/ng-injector-types";
import { MockFactory } from "./mock-factory";
export declare class ParametersStaticProviderFactory implements InjectionFactory {
    private readonly providerFactory;
    private readonly mockFactory;
    constructor(providerFactory: TypeofInjectionFactory<ProviderFactory>, mockFactory: TypeofInjectionFactory<MockFactory>);
    factory(): <T>(parameters: IParameter[]) => OnlyStaticProvider[];
}
